import { computed as T, watch as ue, ref as X, defineComponent as xe, provide as Te, toRefs as Fe, useSlots as $e, onMounted as Re, openBlock as b, createElementBlock as C, Fragment as q, createElementVNode as E, normalizeClass as W, unref as e, renderSlot as $, normalizeProps as B, mergeProps as j, renderList as Q, toDisplayString as V, withModifiers as Ve, createCommentVNode as te, createTextVNode as U } from "vue";
const Ae = {
  items: {
    type: Array,
    default: () => [],
    required: !0,
    description: "Array of data objects, should be a flat array."
  },
  values: {
    type: Array,
    default: () => [],
    required: !0,
    description: "Array of value objects representing the metrics"
  },
  rows: {
    type: Array,
    default: () => [],
    description: "Array of row objects representing the dimensions on rows"
  },
  column: {
    type: Object,
    default: null,
    description: "Single column object representing the dimension on columns"
  },
  locale: {
    type: String,
    default: "en-US",
    description: "Locale setting for the table."
  },
  currentPage: {
    type: Number,
    default: 1,
    description: "Current page number."
  },
  noRowsCustom: {
    type: Boolean,
    default: !1,
    description: "Indicates whether to use custom rows when no data is available."
  },
  emptyMessage: {
    type: String,
    default: "No Available Data",
    description: "Message to display when there is no available data."
  },
  filterOptions: {
    type: Array,
    default: null,
    description: "Array of filter options for the table."
  },
  hideFooter: {
    type: Boolean,
    default: !1,
    description: "Indicates whether to hide the table footer."
  },
  hideHeader: {
    type: Boolean,
    default: !1,
    description: "Indicates whether to hide the table header."
  },
  loading: {
    type: Boolean,
    default: !1,
    description: "Indicates whether the table is in a loading state."
  },
  rowsPerPage: {
    type: Number,
    default: 25,
    description: "Number of rows per page."
  },
  searchField: {
    type: [String, Array],
    default: "",
    description: "Field or fields to search within."
  },
  rowsItems: {
    type: Array,
    default: () => [25, 50, 100]
  },
  rowsOfPageSeparatorMessage: {
    type: String,
    default: "of"
  },
  searchValue: {
    type: String,
    default: "",
    description: "Value to search for within the specified field(s)."
  },
  showIndex: {
    type: Boolean,
    default: !1,
    description: "Indicates whether to display an index column."
  },
  showIndexSymbol: {
    type: String,
    default: "#",
    description: "Symbol used for the index column."
  },
  showIndexClass: {
    type: String,
    default: "",
    description: "Class used for the index column."
  },
  oddRowClass: {
    type: String,
    default: "odd-row",
    description: "CSS class applied to odd-numbered rows."
  },
  evenRowClass: {
    type: String,
    default: "even-row",
    description: "CSS class applied to even-numbered rows."
  },
  oddRowCellClass: {
    type: String,
    default: "odd-row-cell",
    description: "CSS class applied to cells in odd-numbered rows."
  },
  evenRowCellClass: {
    type: String,
    default: "even-row-cell",
    description: "CSS class applied to cells in even-numbered rows."
  },
  sortBy: {
    type: String,
    default: "",
    description: "Field or fields to sort by."
  },
  sortType: {
    type: String,
    default: "asc",
    description: "Sort type or types (ascending or descending)."
  },
  sortColumnValue: {
    type: String,
    default: "",
    description: "Sort columnValue when column is active"
  },
  tableClassName: {
    type: String,
    default: "",
    description: "CSS class applied to the table element."
  },
  innerTableClassName: {
    type: String,
    default: "",
    description: "CSS class applied to the inner table element."
  },
  headerClassName: {
    type: String,
    default: "",
    description: "CSS class applied to the table header element."
  },
  mustSort: {
    type: Boolean,
    default: !1,
    description: "Indicates whether sorting is required."
  },
  tableNodeId: {
    type: String,
    default: "",
    description: "ID attribute for the table element."
  },
  nullFillText: {
    type: String,
    default: "-",
    description: "Text to be shown if cellvalue is null"
  }
};
function _(s, o) {
  if (s.includes(".")) {
    const v = s.split("."), { length: i } = v;
    let r, f = 0;
    for (; f < i; ) {
      if (f === 0)
        r = o[v[0]];
      else if (r && typeof r == "object")
        r = r[v[f]];
      else {
        r = "";
        break;
      }
      f += 1;
    }
    return r ?? "";
  }
  return o[s];
}
function we(s, o, v, i) {
  return s == null ? i : Array.isArray(s) ? s.join(", ") : (o.formatFunc ? s = o.formatFunc(s) : o.numberFormat && (s = new Intl.NumberFormat(v, o.numberFormat).format(s)), o.prefix && (s = o.prefix + s), o.suffix && (s = s + o.suffix), s);
}
function Ne(s, o, v, i) {
  const r = _(s.value, o);
  return we(r, s, v, i);
}
function Me(s, o, v, i, r) {
  var x;
  let f;
  return s.columnValue ? f = (x = o.items.find((S) => S[v.value] === s.columnValue)) == null ? void 0 : x[s.value] : f = _(s.value, o.rows), we(f, s, i, r);
}
function Oe(s, o, v, i, r, f, x, S, h) {
  const z = (d) => {
    if (typeof x.value == "string" && x.value !== "")
      return _(x.value, d);
    if (Array.isArray(x.value)) {
      let a = "";
      return x.value.forEach((m) => {
        a += _(m, d);
      }), a;
    }
    return Object.values(d).join(" ");
  }, A = T(() => {
    if (r.value) {
      const d = f.value.map((m) => m.value), a = i.value.reduce((m, P) => {
        const w = d.map((l) => P[l]).join("|"), k = m.find((l) => l.key === w);
        if (k)
          k.items.push(P);
        else {
          const l = Object.fromEntries(Object.entries(P).filter(([p]) => d.includes(p)));
          m.push({ key: w, rows: l, items: [P] });
        }
        return m;
      }, []);
      if (S.value !== "") {
        const m = new RegExp(S.value, "i");
        return a.filter((P) => m.test(P.key));
      }
      return a;
    }
    if (S.value !== "") {
      const d = new RegExp(S.value, "i");
      return i.value.filter((a) => d.test(z(a)));
    }
    return i.value;
  }), N = T(() => {
    let d = [...A.value];
    return r.value ? d : v.value ? (v.value.forEach((a) => {
      d = d.filter((m) => {
        const { field: P, comparison: w, criteria: k } = a;
        if (typeof w == "function")
          return w(_(P, m), k);
        const l = _(P, m);
        if (l === null)
          return !1;
        switch (w) {
          case "=":
            return l === k;
          case "!=":
            return l !== k;
          case ">":
            return l > k;
          case "<":
            return l < k;
          case "<=":
            return l <= k;
          case ">=":
            return l >= k;
          case "between":
            return l >= Math.min(...k) && l <= Math.max(...k);
          case "in":
            return Array.isArray(k) ? k.includes(l) : !0;
          default:
            return l === k;
        }
      });
    }), d) : A.value;
  });
  ue(
    N,
    (d) => {
      v.value && h("updateFilter", d);
    },
    { immediate: !0, deep: !0 }
  );
  const M = T(() => {
    var l;
    if (o.value === null)
      return N.value;
    const d = [...N.value], { sortBy: a, sortDesc: m, sortColumnValue: P } = o.value, w = (l = s.value.find((p) => p.value === a)) == null ? void 0 : l.sortFunc;
    return d.sort((p, u) => {
      var R, F, K, Z;
      let n, g;
      return r.value ? P ? (n = w ? w((R = p.items.find((G) => G[r.value.value] === P)) == null ? void 0 : R[a]) : (F = p.items.find((G) => G[r.value.value] === P)) == null ? void 0 : F[a], g = w ? w((K = u.items.find((G) => G[r.value.value] === P)) == null ? void 0 : K[a]) : (Z = u.items.find((G) => G[r.value.value] === P)) == null ? void 0 : Z[a]) : (n = w ? w(p.rows[a]) : p.rows[a], g = w ? w(u.rows[a]) : u.rows[a]) : (n = w ? w(_(a, p)) : _(a, p), g = w ? w(_(a, u)) : _(a, u)), n == null && g != null ? 1 : n != null && g == null ? -1 : n == null && g == null ? 0 : n < g ? m ? 1 : -1 : n > g ? m ? -1 : 1 : 0;
    });
  }), Y = T(() => M.value.length);
  return {
    totalItems: M,
    totalItemsLength: Y
  };
}
function Be(s, o, v, i, r, f, x, S, h, z, A, N) {
  const M = T(() => r.value ? [...new Set(s.value.map((l) => l[r.value.value]))] : []), d = X(
    ((l, p, u) => l && l !== "" ? {
      sortBy: l,
      sortDesc: p === "desc",
      sortColumnValue: u
    } : null)(h.value, z.value, A.value)
  );
  let a = [];
  const m = T(() => {
    if (r.value) {
      const u = M.value.flatMap((n) => i.value.map((R) => ({
        ...R,
        columnValue: n
      })));
      a = [
        ...v.value.map((n) => ({ ...n, type: "tableRow" })),
        ...u.map((n) => ({ ...n, type: "tableValue" }))
      ];
    } else
      a = [
        ...v.value.map((u) => ({ ...u, type: "tableRow" })),
        ...i.value.map((u) => ({ ...u, type: "tableValue" }))
      ];
    const l = a.map((u) => {
      const n = Object.assign(u);
      return n.sortable && (n.sortType = "none"), d.value && n.value === d.value.sortBy && d.value.sortColumnValue ? d.value.sortColumnValue === n.columnValue ? n.sortType = d.value.sortDesc ? "desc" : "asc" : n.sortType = "none" : d.value && n.value === d.value.sortBy && (n.sortType = d.value.sortDesc ? "desc" : "asc"), n;
    });
    let p = [];
    return x.value ? p = [{
      text: o.value,
      value: "index",
      cssClass: S.value
    }, ...l] : p = l, p;
  }), P = T(() => {
    const l = [];
    if (r.value) {
      const p = m.value.reduce(
        (u, n) => {
          const g = n.columnValue;
          let R;
          n.columnValue ? r.value.formatFunc ? R = r.value.formatFunc(n.columnValue) : R = n.columnValue : R = null;
          const F = u[u.length - 1];
          return F && F.text === R && !F.isIndex && F.originalText === g ? F.count++ : u.push({
            type: "column",
            isIndex: n.value === "index",
            text: R,
            originalText: g,
            count: 1,
            cssClass: n.cssClass ?? ""
          }), u;
        },
        []
      );
      l.push(p);
    }
    if (m.value.findIndex((p) => p.parent) > -1) {
      const p = m.value.reduce(
        (u, n) => {
          var K;
          const g = ((K = n.parent) == null ? void 0 : K.text) || null, R = n.columnValue, F = u[u.length - 1];
          return F && F.text === g && !F.isIndex && F.columnValue === R ? F.count++ : u.push({
            type: "parent",
            isIndex: n.value === "index",
            columnValue: R,
            text: g,
            count: 1,
            cssClass: n.cssClass ?? ""
          }), u;
        },
        []
      );
      l.push(p);
    }
    return l;
  }), w = T(() => m.value.map((l) => l.value));
  return {
    columnDomain: M,
    clientSortOptions: d,
    headerColumns: w,
    headersForRenderParents: P,
    headersForRender: m,
    updateSortField: (l, p, u = !1, n = void 0) => {
      let g = null;
      u ? g = p === "none" ? null : p : p === "none" ? g = "asc" : p === "asc" ? g = "desc" : g = f.value ? "asc" : null, g === null ? d.value = null : d.value = {
        sortBy: l,
        sortDesc: g === "desc",
        sortColumnValue: n
      }, N("updateSort", {
        sortColumnValue: n,
        sortType: g,
        sortBy: l
      });
    }
  };
}
function je(s, o) {
  const v = T(() => s.value.findIndex((f) => f === o.value) === -1 ? [o.value, ...s.value] : s.value), i = X(o.value);
  return {
    rowsItemsComputed: v,
    rowsPerPageRef: i,
    updateRowsPerPage: (f) => {
      i.value = f;
    }
  };
}
function De(s, o, v, i) {
  const r = X(s.value), f = T(() => Math.ceil(v.value / i.value)), x = T(
    () => f.value === 0 || r.value === f.value
  ), S = T(() => r.value === 1);
  return {
    currentPaginationNumber: r,
    maxPaginationNumber: f,
    isLastPage: x,
    isFirstPage: S,
    nextPage: () => {
      v.value !== 0 && (x.value || o.value || (r.value += 1));
    },
    prevPage: () => {
      v.value !== 0 && (S.value || o.value || (r.value -= 1));
    },
    updatePage: (M) => {
      o.value || (r.value = M);
    },
    updateCurrentPaginationNumber: (M) => {
      r.value = M;
    }
  };
}
function Ee(s, o, v, i, r) {
  const f = T(() => (s.value - 1) * o.value + 1), x = T(() => Math.min(i.value.length, s.value * o.value)), S = T(() => o.value === -1 ? i.value : i.value.slice(f.value - 1, x.value)), h = T(() => v.value ? r.value ? S.value.map((A, N) => (A.rows = { index: f.value + N, ...A.rows }, A)) : S.value.map((A, N) => ({ index: f.value + N, ...A })) : S.value), z = T(() => h.value);
  return {
    currentPageFirstIndex: f,
    currentPageLastIndex: x,
    pageItems: z
  };
}
const Le = [
  { name: "scroll", description: "Triggered when scrolling" },
  { name: "clickRow", description: "Triggered when a row is clicked" },
  { name: "clickCell", description: "Triggered when a cell is clicked" },
  { name: "updateSort", description: "Triggered when sorting is updated" },
  { name: "updateFilter", description: "Triggered when filtering is updated" },
  { name: "updatePageItems", description: "Triggered when page items are updated" },
  { name: "updateTotalItems", description: "Triggered when total items are updated" },
  { name: "mouseover", description: "Triggered when mouse is over" },
  { name: "mouseleave", description: "Triggered when mouse leaves" }
], _e = Le.map((s) => s.name), ze = ["id"], Ge = ["colspan"], He = { class: "header" }, qe = {
  key: 3,
  class: "header-text"
}, We = ["onClick"], Ue = { class: "header" }, Ke = {
  key: 3,
  class: "header-text"
}, Je = ["id"], Qe = ["role", "onClick", "onMouseover", "onMouseleave"], Xe = { id: "errors" }, Ye = { style: { color: "red" } }, Ze = { key: 5 }, et = /* @__PURE__ */ xe({
  __name: "PivotDataTable",
  props: Ae,
  emits: _e,
  setup(s, { expose: o, emit: v }) {
    const i = X([]), r = X();
    Te("dataTable", r);
    const f = s, {
      values: x,
      rows: S,
      column: h,
      locale: z,
      tableNodeId: A,
      currentPage: N,
      filterOptions: M,
      emptyMessage: Y,
      noRowsCustom: d,
      items: a,
      loading: m,
      mustSort: P,
      rowsItems: w,
      rowsPerPage: k,
      searchField: l,
      searchValue: p,
      showIndex: u,
      sortBy: n,
      sortType: g,
      sortColumnValue: R,
      showIndexSymbol: F,
      showIndexClass: K,
      nullFillText: Z,
      hideFooter: G
    } = Fe(f), O = $e(), ee = v, { clientSortOptions: he, headersForRenderParents: be, headersForRender: L, updateSortField: se } = Be(
      a,
      F,
      S,
      x,
      h,
      P,
      u,
      K,
      n,
      g,
      R,
      ee
    ), { totalItems: ve, totalItemsLength: re } = Oe(
      L,
      he,
      M,
      a,
      h,
      S,
      l,
      p,
      ee
    ), { rowsItemsComputed: Ce, rowsPerPageRef: ne, updateRowsPerPage: Se } = je(w, k), { currentPaginationNumber: ie, maxPaginationNumber: de, isLastPage: fe, isFirstPage: me, nextPage: le, prevPage: oe, updatePage: ae } = De(N, m, re, ne), { currentPageFirstIndex: ce, currentPageLastIndex: pe, pageItems: ge } = Ee(
      ie,
      ne,
      u,
      ve,
      h
    ), Pe = (c, D, t, I) => {
      ee("clickCell", c, D, t, I);
    };
    ue(ne, () => {
      ae(1);
    }), ue([p, M], () => {
      ae(1);
    }), ue(
      [a, h],
      () => {
        ke();
      },
      { immediate: !0 }
    );
    const ye = X(!1);
    function ke() {
      i.value = [], h.value && Array.isArray(h.value) ? i.value.push({
        type: "propError",
        text: "column is of type Array"
      }) : h.value && Ie() && i.value.push({
        type: "dataShapeError",
        text: "duplicate item Objects (by rows * columns) found in items"
      });
    }
    Re(() => {
      r.value.addEventListener("scroll", () => {
        ye.value = r.value.scrollLeft > 0;
      });
    }), o({
      currentPageFirstIndex: ce,
      currentPageLastIndex: pe,
      clientItemsLength: re,
      totalItems: ve,
      maxPaginationNumber: de,
      currentPaginationNumber: ie,
      isLastPage: fe,
      isFirstPage: me,
      nextPage: le,
      prevPage: oe,
      updatePage: ae,
      updateSortField: se,
      rowsPerPageOptions: Ce,
      rowsPerPageActiveOption: ne,
      updateRowsPerPageActiveOption: Se
    });
    function Ie() {
      const c = [...S.value.map((t) => t.value), h.value.value], D = /* @__PURE__ */ new Set();
      for (let t = 0; t < a.value.length; t++) {
        const I = c.map((y) => a.value[t][y]).join("|");
        if (D.has(I))
          return !0;
        D.add(I);
      }
      return !1;
    }
    return (c, D) => (b(), C(q, null, [
      E("div", {
        ref_key: "dataTable",
        ref: r,
        class: W(["vue3-pivot-data-table", [c.tableClassName]]),
        onScroll: D[0] || (D[0] = (t) => c.$emit("scroll", t))
      }, [
        E("table", {
          id: e(A),
          class: W({
            [c.innerTableClassName]: !0,
            "show-shadow": ye.value
          })
        }, [
          e(O)["customize-headers"] ? $(c.$slots, "customize-headers", B(j({ key: 0 }, { headersForRender: e(L), updateSortField: e(se) })), void 0, !0) : e(L).length && !c.hideHeader ? (b(), C("thead", {
            key: 1,
            class: W([c.headerClassName])
          }, [
            (b(!0), C(q, null, Q(e(be), (t, I) => (b(), C("tr", {
              key: "headerRowGroup" + I
            }, [
              (b(!0), C(q, null, Q(t, (y, H) => (b(), C("th", {
                key: "columnHeader" + H,
                colspan: y.count,
                class: W([
                  {
                    shadow: H === 0,
                    [y.cssClass ?? ""]: !0,
                    [y.type ?? ""]: !0
                  }
                ])
              }, [
                E("span", He, [
                  e(O)[`header-${y.type}-${y.text}`] ? $(c.$slots, `header-${y.type}-${y.text}`, B(j({ key: 0 }, y)), void 0, !0) : e(O)[`header-${y.type}`] ? $(c.$slots, `header-${y.type}`, B(j({ key: 1 }, y)), void 0, !0) : e(O).header ? $(c.$slots, "header", B(j({ key: 2 }, y)), void 0, !0) : (b(), C("span", qe, V(y.text), 1))
                ])
              ], 10, Ge))), 128))
            ]))), 128)),
            E("tr", null, [
              (b(!0), C(q, null, Q(e(L), (t, I) => (b(), C("th", {
                key: I,
                role: "button",
                tabindex: 0,
                class: W([
                  {
                    sortable: t.sortable,
                    none: t.sortable && t.sortType === "none",
                    desc: t.sortable && t.sortType === "desc",
                    asc: t.sortable && t.sortType === "asc",
                    shadow: I === 0,
                    [t.cssClass ?? ""]: !0,
                    [t.type ?? ""]: !0
                  }
                ]),
                onClick: Ve((y) => t.sortable && t.sortType ? e(se)(t.value, t.sortType, !1, t.columnValue) : null, ["stop"])
              }, [
                E("span", Ue, [
                  e(O)[`header-${t.value}`] ? $(c.$slots, `header-${t.value}`, B(j({ key: 0 }, t)), void 0, !0) : e(O)[`header-${t.value.toLowerCase()}`] ? $(c.$slots, `header-${t.value.toLowerCase()}`, B(j({ key: 1 }, t)), void 0, !0) : e(O).header ? $(c.$slots, "header", B(j({ key: 2 }, t)), void 0, !0) : (b(), C("span", Ke, V(t.text), 1)),
                  t.sortable && e(O)["sort-icon"] ? $(c.$slots, "sort-icon", B(j({ key: 4 }, t)), void 0, !0) : t.sortable ? (b(), C("i", {
                    key: t.sortType ? t.sortType : "none",
                    class: W(["sortType-icon", { desc: t.sortType === "desc" }])
                  }, null, 2)) : te("", !0)
                ])
              ], 10, We))), 128))
            ])
          ], 2)) : te("", !0),
          E("tbody", null, [
            (b(!0), C(q, null, Q(e(ge), (t, I) => (b(), C("tr", {
              id: `row-${I}`,
              key: I,
              class: W([{ [c.oddRowClass]: (I + 1) % 2 === 0 }, { [c.evenRowClass]: I % 2 === 0 }]),
              role: "button",
              tabindex: 0
            }, [
              (b(!0), C(q, null, Q(e(L), (y, H) => (b(), C("td", {
                key: H,
                role: e(L)[H].clickable || e(L)[H].hoverable ? "button" : "",
                tabindex: "0",
                class: W([
                  {
                    [c.oddRowCellClass]: (I + 1) % 2 === 0,
                    [c.evenRowCellClass]: I % 2 === 0,
                    shadow: H === 0,
                    [y.cssClass ?? ""]: !0,
                    [y.type ?? ""]: !0
                  }
                ]),
                onClick: (J) => Pe(t, e(L)[H], I, J),
                onMouseover: (J) => ee("mouseover", t, e(L)[H], J),
                onMouseleave: (J) => ee("mouseleave", t, J)
              }, [
                e(O)[`item-${y.value}`] ? $(c.$slots, `item-${y.value}`, B(j(
                  { key: 0 },
                  e(h) && y.columnValue ? t.items.find((J) => J[e(h).value] === y.columnValue) : e(h) ? t.rows : t
                )), void 0, !0) : e(O).item ? $(c.$slots, "item", B(j({ key: 1 }, { column: e(h), item: t })), void 0, !0) : e(h) ? (b(), C(q, { key: 2 }, [
                  U(V(e(Me)(y, t, e(h), e(z), e(Z))), 1)
                ], 64)) : (b(), C(q, { key: 3 }, [
                  U(V(e(Ne)(y, t, e(z), e(Z))), 1)
                ], 64))
              ], 42, Qe))), 128))
            ], 10, Je))), 128))
          ]),
          e(O)["customize-footers"] ? $(c.$slots, "customize-footers", B(j({ key: 2 }, {
            headersForRender: e(L),
            updateSortField: e(se)
          })), void 0, !0) : te("", !0)
        ], 10, ze)
      ], 34),
      i.value.length ? $(c.$slots, "errors", { key: 0 }, () => [
        E("div", Xe, [
          E("ul", null, [
            (b(!0), C(q, null, Q(i.value, (t, I) => (b(), C("li", {
              key: "error" + I
            }, [
              E("span", Ye, V(t.type) + ":", 1),
              U(" " + V(t.text), 1)
            ]))), 128))
          ])
        ])
      ], !0) : !e(a).length && !e(m) && e(d) ? $(c.$slots, "no-rows-custom", { key: 1 }, () => [
        U(" Slot: no-rows-custom ")
      ], !0) : !e(a).length && !e(m) ? $(c.$slots, "no-rows", { key: 2 }, () => [
        U(V(e(Y)), 1)
      ], !0) : !e(ge).length && !e(m) ? $(c.$slots, "empty-message", { key: 3 }, () => [
        U(V(e(Y)), 1)
      ], !0) : te("", !0),
      e(O).footer ? $(c.$slots, "footer", B(j({ key: 4 }, {
        currentPageFirstIndex: e(ce),
        currentPageLastIndex: e(pe),
        rowsOfPageSeparatorMessage: c.rowsOfPageSeparatorMessage,
        totalItemsLength: e(re),
        isFirstPage: e(me),
        isLastPage: e(fe),
        currentPaginationNumber: e(ie),
        maxPaginationNumber: e(de),
        nextPage: e(le),
        prevPage: e(oe),
        updatePage: e(ae)
      })), void 0, !0) : e(G) ? te("", !0) : (b(), C("div", Ze, [
        U(V(`${e(ce)}–${e(pe)}`) + " " + V(c.rowsOfPageSeparatorMessage) + " " + V(e(re)) + " ", 1),
        E("button", {
          onClick: D[1] || (D[1] = //@ts-ignore
          (...t) => e(oe) && e(oe)(...t))
        }, V("<")),
        U(" " + V(e(N)) + " of " + V(e(de)) + " ", 1),
        E("button", {
          onClick: D[2] || (D[2] = //@ts-ignore
          (...t) => e(le) && e(le)(...t))
        }, ">")
      ]))
    ], 64));
  }
});
const tt = (s, o) => {
  const v = s.__vccOpts || s;
  for (const [i, r] of o)
    v[i] = r;
  return v;
}, nt = /* @__PURE__ */ tt(et, [["__scopeId", "data-v-723b21ef"]]);
export {
  nt as default
};
